--- xinetd.spec	Sat Apr 14 20:13:22 2001
+++ xinetd-rhl-6v2+7.1.spec	Mon May 28 07:09:56 2001
@@ -19,9 +19,9 @@
 Patch0: xinetd-2.1.8.9pre10-skipjunkfiles.patch
 Patch1: xinetd-2.1.8.9pre14-efault.patch
 Provides: inetd
-Prereq: /sbin/chkconfig /etc/init.d /sbin/service
+Prereq: /sbin/chkconfig /sbin/service
 BuildRequires: tcp_wrappers
-Requires: filesystem >= 2.0.1, initscripts >= 5.54, setup, fileutils
+Requires: filesystem >= 1.3.5, initscripts >= 5.00, setup, fileutils
 URL: http://synack.net/xinetd/
 BuildRoot: %{_tmppath}/%{name}-%{version}-root
 Obsoletes: inetd, netkit-base
@@ -75,6 +75,10 @@
     /sbin/chkconfig --add xinetd 
 fi
 
+if [ ! -d /etc/init.d ]; then
+	ln -s /etc/rc.d/init.d /etc/init.d
+fi
+
 %preun
 if [ $1 = 0 ]; then
     /sbin/chkconfig --del xinetd 
@@ -98,6 +102,10 @@
 %config(noreplace) /etc/xinetd.d/*
 
 %changelog
+* Mon May 28 2001 Peter Bieringer <pb@bieringer.de>
+- lower down require versions for RHL 6.2 usage
+- remove prereq /etc/init.d, create it instead, if not existing
+
 * Sat Apr 14 2001 Pekka Savola <pekkas@netcore.fi>
 - enable ipv6, build against ipv6-enabled tcp_wrappers
 
